Bug 193336 - anaconda attempts to load the wrong video driver
anaconda attempts to load the wrong video driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-27 12:47 EDT by james
Modified: 2014-03-16 22:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:57:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james 2006-05-27 12:47:30 EDT
Description of problem:
With two video cards, anaconda selects the wrong card, and attempts to load the
wrong driver.

Version-Release number of selected component (if applicable):
Fedora Core 5

How reproducible:
everytime

Steps to Reproduce:
1. run the installer
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2006-06-04 14:12:03 EDT
Can you provide the output of kudzu -p -c VIDEO?
Comment 2 james 2006-06-04 19:26:37 EDT
Thanks for looking at this.  A couple more notes: The nvidia card is in the agp
slot, the ati in a pci slot.  The machine boots to the pci slot/ati card.  The
monitors on the agp slot/nvidia card can't run at the bootup refresh rates.


$ kudzu -p -c VIDEO
-
class: VIDEO
bus: PCI
detached: 0
driver: nvidia
desc: "nVidia Corporation NV11 [GeForce2 MX/MX 400]"
video.xdriver: nv
vendorId: 10de
deviceId: 0110
subVendorId: 107d
subDeviceId: 2830
pciType: 1
pcidom:    0
pcibus:  1
pcidev:  0
pcifn:  0
-
class: VIDEO
bus: PCI
detached: 0
desc: "ATI Technologies Inc 3D Rage I/II 215GT [Mach64 GT]"
video.xdriver: ati
vendorId: 1002
deviceId: 4754
subVendorId: 1002
subDeviceId: 4754
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  9
pcifn:  0
Comment 3 Jeremy Katz 2006-06-19 17:47:37 EDT
Reassigning to kudzu, although hopefully (fingers crossed), we'll be able to
land some bits within X to do autoconfiguration for FC6 and make this not an
issue anymore
Comment 4 Bug Zapper 2008-04-03 22:58:53 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 11:57:04 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.